# $Revision: 1.46.2.5 $, $Date: 2004/03/20 23:32:29 $
#
# _with_nas		- enable NAS audio support
# _without_alsa		- disable ALSA support
#
%ifarch sparc sparcv9 sparc64
%define		_without_alsa	1
%endif
Summary:	aRts sound server
Summary(pl):	Serwer dwiku
Summary(pt_BR):	Servidor de sons usado pelo KDE
Name:		arts
Version:	1.1.5
Release:	1
Epoch:		12
License:	LGPL
Vendor:		The KDE Team
Group:		Libraries
Source0:	ftp://ftp.kde.org/pub/kde/stable/3.1.5/src/%{name}-%{version}.tar.bz2
# Source0-md5:	1d34348e805715559fcd0d978272f031
URL:		http://www.kde.org/
Patch0:		%{name}-nas.patch
%{!?_without_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	mad-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5-2
BuildRequires:	libvorbis-devel
%{?_with_nas:BuildRequires:	nas-devel}
BuildRequires:	pkgconfig
BuildRequires:	qt-devel >= 3.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_htmldir	/usr/share/doc/kde/HTML

%description
aRts sound server.

%description -l pl
Serwer dwiku aRts.

%description -l pt_BR
O aRts  um sintetizador analgico em tempo real que  completamente
modular. Voc pode criar sons e msicas (sntese em tempo real de
midi) usando pequenos mdulos como oscilador para criar waveforms,
vrios filtros, mixers, faders, etc. Voc pode configurar tudo atravs
de uma interface no KDE. O Servidor aRts  controlado via CORBA. Este
design foi escolhido para permitir que outras aplicaes usem o aRts
como um sintetizador (ou fornecedor de filtros). Usado pelo KDE, entre
outros.

%package X11
Summary:	X11 dependent part of aRts
Summary(pl):	Cz aRts wymagajca X11
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description X11
X11 dependent part of aRts.

%description X11 -l pl
Cz aRts wymagajca X11.

%package qt
Summary:	QT dependend part of aRts
Summary(pl):	Cz aRts wymagajca QT
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}
Requires:	qt >= 3.1

%description qt
QT dependend part of aRts.

%description qt -l pl
Cz aRts wymagajca QT.

%package devel
Summary:	Sound server - header files
Summary(pl):	Serwer dwiku - pliki nagwkowe
Summary(pt_BR):	Arquivos para desenvolvimento com o o aRts
Group:		Development/Libraries
Requires:	qt-devel >= 3.1
Requires:	%{name} = %{epoch}:%{version}
%{?_with_nas:Requires:	nas-devel}

%description devel
Header files required to compile programs using arts.

%description devel -l pl
Pliki nagwkowe niezbdne do budowania aplikacji korzystajcych z
arts.

%description devel -l pt_BR
Arquivos para desenvolvimento com o o aRts.

%package glib
Summary:	GLib dependend part of aRts
Summary(pl):	Cz aRts wymagajca GLib
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}
Requires:	glib >= 1.2.6

%description glib
GLib dependend part of aRts.

%description glib -l pl
Cz aRts wymagajca GLib.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%{__perl} admin/am_edit

kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug \
	--disable-rpath \
	--enable-final \
	--with-xinerama	\
	--with%{?_without_alsa:out}-alsa \
	--with%{!?_with_nas:out}-nas

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	X11 -p /sbin/ldconfig
%postun	X11 -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%post	glib -p /sbin/ldconfig
%postun	glib -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artscat
%attr(755,root,root) %{_bindir}/artsd
%attr(755,root,root) %{_bindir}/artsdsp
%attr(755,root,root) %{_bindir}/artsplay
%attr(755,root,root) %{_bindir}/artsrec
%attr(755,root,root) %{_bindir}/artsshell
%attr(755,root,root) %{_bindir}/artswrapper
%attr(755,root,root) %{_bindir}/testdhandle
# shared libraries
%attr(755,root,root) %{_libdir}/libartsc.so.*.*.*
%attr(755,root,root) %{_libdir}/libartsflow*.so.*.*.*
%attr(755,root,root) %{_libdir}/libkmedia2*.so.*.*.*
%attr(755,root,root) %{_libdir}/libmcop*.so.*.*.*
%attr(755,root,root) %{_libdir}/libsoundserver_idl.so.*.*.*
# lt_dlopened modules (*.la needed)
%attr(755,root,root) %{_libdir}/libarts*playobject.so.*.*.*
%{_libdir}/libarts*playobject.la
%attr(755,root,root) %{_libdir}/libartscbackend.so.*.*.*
%{_libdir}/libartscbackend.la
%attr(755,root,root) %{_libdir}/libartsdsp*.so.*.*.*
%{_libdir}/libartsdsp*.la
%{_libdir}/mcop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artsc-config
%attr(755,root,root) %{_bindir}/mcopidl
%attr(755,root,root) %{_libdir}/libartsc.so
%attr(755,root,root) %{_libdir}/libartsflow*.so
%attr(755,root,root) %{_libdir}/libkmedia2*.so
%attr(755,root,root) %{_libdir}/libmcop*.so
%attr(755,root,root) %{_libdir}/libsoundserver_idl.so
%attr(755,root,root) %{_libdir}/libgmcop.so
%attr(755,root,root) %{_libdir}/libqtmcop.so
# some apps (incorrectly?) link with libarts*playobject (gg with -lartswavplayobject only?)
%attr(755,root,root) %{_libdir}/libarts*playobject.so
%{_libdir}/libartsc.la
%{_libdir}/libartsflow*.la
%{_libdir}/libkmedia2*.la
%{_libdir}/libmcop*.la
%{_libdir}/libsoundserver_idl.la
%{_libdir}/libgmcop.la
%{_libdir}/libqtmcop.la
%{_includedir}/arts
%{_includedir}/artsc

%files X11
%defattr(644,root,root,755)
# lt_dlopened module (.la needed)
%attr(755,root,root) %{_libdir}/libx11globalcomm.so.*.*.*
%{_libdir}/libx11globalcomm.la

%files glib
%defattr(644,root,root,755)
# shared library
%attr(755,root,root) %{_libdir}/libgmcop.so.*.*.*

%files qt
%defattr(644,root,root,755)
# shared library
%attr(755,root,root) %{_libdir}/libqtmcop.so.*.*.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: arts.spec,v $
Revision 1.46.2.5  2004/03/20 23:32:29  ankry
- 1.1.5

Revision 1.46.2.4  2004/03/16 00:47:00  ankry
- really disable nas, rel. 2

Revision 1.46.2.3  2003/09/20 16:23:05  blues
- oops - fixed release

Revision 1.46.2.2  2003/09/20 16:18:03  blues
- fixed md5

Revision 1.46.2.1  2003/09/20 16:15:19  blues
- prefix and other fixes for RA

Revision 1.46  2003/09/20 16:11:07  blues
- release 1 - official tars md5

Revision 1.45  2003/09/11 18:49:13  djurban
- updated to 1.1.4
- not final tarball
- builds :)

Revision 1.44  2003/08/22 14:31:41  qboosh
- comment was not true - there are ogg/vorbis and mad loaders in gsl linked in
  libartsflow library

Revision 1.43  2003/08/22 14:21:47  qboosh
- reorders: *.la for regular shared libraries back to -devel,
  *.la for ltdlopened modules stay together with lib
- refresh libtool to get rid of ugly/evil gcc-dependent paths in *.la
- added some missing strict subpackages dependencies
- release 1.1 (please test it everything is OK)

Revision 1.41  2003/07/29 18:29:47  ciril
- Fixed source

Revision 1.40  2003/07/29 18:27:01  ciril
- Updated to 1.1.3
- NFY

Revision 1.39  2003/07/03 18:18:56  blues
- release 2

Revision 1.38  2003/07/03 08:49:36  migo
- BR: libstdc++-devel

Revision 1.37  2003/06/23 16:45:19  jareq
- fixed epoch:version issue

Revision 1.36  2003/05/26 16:24:46  malekith
- massive attack: adding Source-md5

Revision 1.35  2003/05/25 05:45:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/15 20:51:04  trojan
- fixed nas bcond
- cleanups

Revision 1.33  2003/05/14 22:10:39  kloczek
- s#stable/%%{version}#stable/3.1.2# (yes I know 3.1.2 still isn't avalaible on
  ftp.kde.org but .. :)

Revision 1.32  2003/05/13 23:42:00  kloczek
- better way for disable alsa on sparc*.

Revision 1.31  2003/05/13 23:32:46  kloczek
- release 1,
- resolve building in enviroment with nas-devel installed (we do not build
  by default arts with NAS supoport) by seding config.h after run configure
  (solution like in current kdelibs.spec),
- --disable-rpath added to configure parameters,
- cosmetics and cut %changelog.
